import pygame, random


class TightRope:
    poses = [[0,0],[0,0]]
    point = [0,0]
    shaking = False
    frame = 0.0
    rdir = -1;
    last_time = 0
    rate = 0.1
    srange = 12
    rtime = 0
    def __init__(self, sw,sh, imgs):
        self.poses[0][1] = 430
        self.poses[1][0] = sw
        self.poses[1][1] = 430
        self.img_shake = imgs
        self.last_time = pygame.time.get_ticks()
        self.rtime = pygame.time.get_ticks()
    def start_shake(self):
        self.rtime = pygame.time.get_ticks()
        self.shaking = True
        self.srange = 12
    def update(self):

        if self.shaking:
            #frame
            delta = pygame.time.get_ticks() - self.last_time
            self.frame += self.rdir * delta * self.rate
            self.sframe = 0
            if self.frame > 12-(12-self.srange):
                self.rdir = -1
                self.frame = 12-(12-self.srange)
            if self.frame <= (12-self.srange):
                self.rdir = 1
                self.frame = (12-self.srange)

            #range
            if pygame.time.get_ticks() - self.rtime  > 50:
                self.srange -= 1
                self.rtime = pygame.time.get_ticks()
            if self.srange <= 5:
                self.shaking = False 


                
        
        self.last_time = pygame.time.get_ticks()
            
    def set_point(self, x, y):
        self.point[0] = x
        self.point[1] = y
    def draw(self):
        if not self.shaking:
            pygame.draw.line(pygame.display.get_surface(), (0,0,0,0), self.poses[0],self.point, 5)
            pygame.draw.line(pygame.display.get_surface(), (0,0,0,0), self.point,self.poses[1], 5)
        else:
            pygame.display.get_surface().blit(self.img_shake[int(self.frame)],(0,self.poses[0][1]-50))
            
